Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class TreeValuesTreeAttribute

    java.lang.Object
      de.grogra.graph.Attribute<T>
          de.grogra.graph.ObjectAttribute<T>
              de.grogra.graph.ObjectTreeAttribute
                  de.grogra.blocks.TreeValuesTreeAttribute

All Implemented Interfaces:
  Described, KeyDescription, java.lang.Comparable

    public class TreeValuesTreeAttribute

extends ObjectTreeAttribute

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.ObjectAttribute
`ObjectAttribute.IdentityAccessor`

Field Summary

Fields inherited from class de.grogra.graph.Attribute
`ATTRIBUTE_0, attrType, quantity`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Method Summary
`boolean` | `dependsOn(Attribute[] b)`
`protected java.lang.Object` | `derive(java.lang.Object object, boolean asNode, java.lang.Object parentValue, java.lang.Object placeIn, GraphState gs)`
`protected java.lang.Object` | `getInitialValue(GraphState gs)`

Methods inherited from class de.grogra.graph.ObjectTreeAttribute
`getDerived, getParentAttribute, getParentValue, isDerived`

Methods inherited from class de.grogra.graph.ObjectAttribute
`get, set, setDerived, setObject, setSubfield, toType, valueOf`

Methods inherited from class de.grogra.graph.Attribute
`compareTo, find, forName, getAttributeState, getDescription, getId, getKey, getQuantity, getSimpleName, getType, hashCode, initializeI18N, initializeName, isContained, isWritable, setAttributeState, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### dependsOn

    public boolean dependsOn(Attribute[] b)

  Specified by:
    `dependsOn` in class `ObjectTreeAttribute`

### derive

    protected java.lang.Object derive(java.lang.Object object,
                                      boolean asNode,
                                      java.lang.Object parentValue,
                                      java.lang.Object placeIn,
                                      GraphState gs)

  Specified by:
    `derive` in class `ObjectTreeAttribute`

### getInitialValue

    protected java.lang.Object getInitialValue(GraphState gs)

  Specified by:
    `getInitialValue` in class `ObjectTreeAttribute`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD